import { combineReducers } from "@reduxjs/toolkit";

import authReducer from "./slices/authSlice";
import adminReducer from "./slices/adminSlice";
import profileReducer from "./slices/profileSlice";
import userReducer from "./slices/userSlice.ts";
import roleReducer from "./slices/roleSlice.ts";

const rootReducer = combineReducers({
	authReducer,
	adminReducer,
	profileReducer,
	userReducer,
	roleReducer,
});

export type RootState = ReturnType<typeof rootReducer>;

export default rootReducer;
